jQuery(document).ready(function ($) {

    // new WOW().init();

    // FancyBox Initialization
    Fancybox.bind("[data-fancybox]", {
        autoFocus: false, // Prevent automatic focus
        trapFocus: true, // Ensure focus is properly trapped
    });

    var window_size = jQuery(window).width();

    // Trusted By Slider
    const trustedBySlider = new Swiper(".trusted-by-slider", {
        spaceBetween: 56,
        slidesPerView: 6,
        loop: true,
        speed: 1500,
        autoplay: {
            delay: 2000,
            disableOnInteraction: false,
        },
        breakpoints: {
            0: {
                slidesPerView: 2,
            },
            576: {
                slidesPerView: 2,
                spaceBetween: 24,
            },
            768: {
                slidesPerView: 3,
            },
            992: {
                slidesPerView: 4,
            },
            1200: {
                slidesPerView: 5,
            },
            1400: {
                slidesPerView: 6,
            },
        },
    });

    // Our Portfolio Slider
    const ourPortfolioSlider = new Swiper(".our-portfolio-slider", {
        spaceBetween: 24,
        slidesPerView: 3,
        loop: true,
        speed: 1500,
        autoplay: {
            delay: 2000,
            disableOnInteraction: false,
        },
        autoplay: false,
        navigation: {
            nextEl: ".swiper-next-btn",
            prevEl: ".swiper-prev-btn",
        },
        breakpoints: {
            0: {
                slidesPerView: 1,
            },
            576: {
                slidesPerView: 2,
                centeredSlides: true,
            },
            992: {
                slidesPerView: 3,
            },
        },
    });

    // Testimonial Slider
    const testimonialSlider = new Swiper(".testimonial-slider", {
        spaceBetween: 24,
        slidesPerView: 2,
        loop: true,
        speed: 1500,
        autoplay: {
            delay: 2000,
            disableOnInteraction: false,
        },
        autoplay: false,
        navigation: {
            nextEl: ".swiper-next-btn",
            prevEl: ".swiper-prev-btn",
        },
        breakpoints: {
            0: {
                slidesPerView: 1,
            },
            992: {
                slidesPerView: 2,
            },
        },
    });

    // Marquee Slider 1
    const marqueeSlider1 = new Swiper(".marquee-slider-1", {
        spaceBetween: 50,
        slidesPerView: 'auto',
        loop: true,
        speed: 8000,
        allowTouchMove: false,
        autoplay: {
            delay: 0,
            disableOnInteraction: false,
        },
        breakpoints: {
            0: {
                spaceBetween: 14,
            },
            576: {
                spaceBetween: 24,
            },
            768: {
                spaceBetween: 30,
            },
            1200: {
                spaceBetween: 40,
            },
            1400: {
                spaceBetween: 50,
            },
        },
    });

    // Marquee Slider 2
    const marqueeSlider2 = new Swiper(".marquee-slider-2", {
        spaceBetween: 50,
        slidesPerView: 'auto',
        loop: true,
        speed: 8000,
        allowTouchMove: false,
        autoplay: {
            delay: 0,
            disableOnInteraction: false,
            reverseDirection: true,
        },
        breakpoints: {
            0: {
                spaceBetween: 14,
            },
            576: {
                spaceBetween: 24,
            },
            768: {
                spaceBetween: 30,
            },
            1200: {
                spaceBetween: 40,
            },
            1400: {
                spaceBetween: 50,
            },
        },
    });


    // Menu JS Start
    jQuery(".menu-toggle").on("click", function () {
        jQuery(".header-menu .header-mob-bg").fadeToggle(); // Use slideToggle instead of fadeToggle
        jQuery(".main-navigation ul li.menu-item-has-children").removeClass("active-sub-menu").find("ul").slideUp();
    });

    jQuery(".menu-item a").not("#primary-menu .menu-item-has-children a:first").click(function () {
        jQuery(".main-navigation").removeClass("toggled");
        jQuery(".header-menu .header-mob-bg").fadeOut(); // Use slideUp instead of fadeOut
    });

    var window_size = jQuery(window).width();

    if (window_size <= 991) {
        jQuery(document).on(
            "click",
            "#primary-menu .menu-item-has-children",
            function (e) {
                e.stopPropagation(); // Prevent the click event from propagating to the parent element
                jQuery(this)
                    .siblings(".menu-item-has-children")
                    .removeClass("active-sub-menu")
                    .find(".sub-menu")
                    .slideUp(); // Use slideUp for sibling submenus

                jQuery(this).toggleClass("active-sub-menu");
                jQuery(this).find(".sub-menu").eq(0).slideToggle(); // Use slideToggle for toggling submenu visibility
            }
        );

        jQuery(document).on("click", "#primary-menu .sub-menu li", function (e) {
            e.stopPropagation(); // Prevent further propagation of the click event
        });

        jQuery(".header-menu .header-mob-bg").on("click", function () {
            jQuery(this).fadeOut(); // Use slideUp instead of fadeOut
            jQuery(".main-navigation ul li.menu-item-has-children").removeClass("active-sub-menu").find("ul").slideUp();
        });
    }

    /* Sticky Header JS */
    jQuery(window).scroll(function () { // this will work when your window scrolled.
        var height = jQuery(window).scrollTop(); //getting the scrolling height of window
        if (height > 100) {
            jQuery(".site-header").addClass("sticky_head");
        } else {
            jQuery(".site-header").removeClass("sticky_head");
        }
    });

    /*Smooth Scroll JS*/
    jQuery("ul.menu li.menu-item").each(function () {
        var href = jQuery(this).find("a").attr("href");
        if (href.includes("#")) {
            if (href.substr(0, 1) == '#') {
                if (jQuery(href).length > 0) {
                    jQuery(this).find("a").first().attr("href", window.location.href.replace('#', '') + href);
                } else {
                    jQuery(this).find("a").first().attr("href", custom_call.homeurl + href);
                }
            }
        }
    });

    /** Page Scroll JS */
    let scrollOffset = 100;
    if (window.location.hash) {
        // smooth scroll to the anchor id

        jQuery('html,body').animate({
            scrollTop: jQuery(window.location.hash).offset().top - scrollOffset
        });
    } else {
        setTimeout(function () { scroll(0, 0); }, 1);
    }

    jQuery('a[href*=\\#]:not([href$=\\#])').on('click', function (evt) {

        evt.preventDefault();
        var url = jQuery(this).attr('href');
        var id = url.substring(url.lastIndexOf('#'));
        if (jQuery(id).length > 0) {
            jQuery('html, body').animate({
                scrollTop: jQuery(id).offset().top - scrollOffset
            }, 500);
        }
        else {
            window.location.href = url;
        }
    });
    // Smooth Scrolling JS End

    // Scroll To Top JS Start
    jQuery(window).scroll(function () {
        if (jQuery(this).scrollTop() > 100) {
            jQuery('#scrollToTop').fadeIn();
        } else {
            jQuery('#scrollToTop').fadeOut();
        }
    });
    jQuery('#scrollToTop').on('click', function () {
        jQuery("html, body").animate({ scrollTop: 0 }, 800);
        return false;
    });
});