<!-- Main Banner Start -->
<section class="main-banner">
    <div class="gradients-bg-shape">
        <img src="<?php echo get_template_directory_uri(); ?>/assets/images/bg-blur-shape-1.svg" alt="Bg Blur Shape 1" class="bg-gradient-1" width="296" height="454">
        <img src="<?php echo get_template_directory_uri(); ?>/assets/images/bg-blur-shape-2.svg" alt="Bg Blur Shape 2" class="bg-gradient-2" width="203" height="227">
        <div class="small-line-shape">
            <img src="<?php echo get_template_directory_uri(); ?>/assets/images/small-line-shape.svg" alt="Small Line Shape" width="691" height="698">
        </div>
    </div>
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="banner-content">
                    <h1 class="h1-title">Innovative Business Solutions for a Digital Future</h1>
                    <div class="p2">
                        <p>Duis malesuada sed elit non rhoncus. Suspendisse in lorem bibendum, gravida odio a, fermentum arcu. Phasellus ut dolor augue. In hac habitasse platea dictumst.</p>
                    </div>
                    <div class="banner-btn">
                        <a href="#" title="Explore More" class="sec-btn"><span>Explore More</span></a>
                    </div>
                </div>
                <div class="banner-image-box-wp">
                    <div class="banner-image-box">
                        <div class="back-img" style="background-image: url('<?php echo home_url(); ?>/wp-content/uploads/2025/02/banner-image.jpg');"></div>
                    </div>
                    <a href="https://youtu.be/ScMzIvxBSi4?si=Va0ULr51z8SPr1E8" title="Play Now" data-fancybox="video" class="rotate-btn">
                        <i class="fa-solid fa-play"></i>
                    </a>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Main Banner End -->

<!-- About Start -->
<section class="about-sec py-120">
    <div class="container">
        <div class="row">
            <div class="col-lg-6 order-2 order-lg-1">
                <div class="common-content our-experiences-content-wp">
                    <div class="technology-box-wp">
                        <div class="technology-progress-bar-box">
                            <div class="technology-progress-bar-title">
                                <h5 class="h5-title">Web Development</h5>
                                <h5 class="h5-title">90%</h5>
                            </div>
                            <div class="technology-progress-bar" data-width="90">
                                <div class="technology-progress-bar-inr" style="width: 90%;"></div>
                            </div>
                        </div>
                        <div class="technology-progress-bar-box">
                            <div class="technology-progress-bar-title">
                                <h5 class="h5-title">UI/UX Deisgn</h5>
                                <h5 class="h5-title">97%</h5>
                            </div>
                            <div class="technology-progress-bar" data-width="97">
                                <div class="technology-progress-bar-inr" style="width: 97%;"></div>
                            </div>
                        </div>
                        <div class="technology-progress-bar-box">
                            <div class="technology-progress-bar-title">
                                <h5 class="h5-title">Mobile App Developmet</h5>
                                <h5 class="h5-title">95%</h5>
                            </div>
                            <div class="technology-progress-bar" data-width="95">
                                <div class="technology-progress-bar-inr" style="width: 95%;"></div>
                            </div>
                        </div>
                    </div>
                    <div class="our-experiences-content">
                        <div class="our-experiences-title-wp">
                            <h3 class="h3-title">Our Years of Experiences</h3>
                            <div class="experiences-count-box white-text">
                                <h3 class="h3-title">
                                    +<span class="count" data-count="10">10</span>
                                </h3>
                            </div>
                        </div>
                        <div class="p3">
                            <p>Welcome to SkyBit Solutions – one of the fastest growing Software Development companies. We are IT consultant and develop customized business software applications using top notch technologies.</p>
                            <p>SkyBit Solutions : a benchmark Software Development company. Our core strength is in IT services such as custom business software applications.</p>
                            <p>We are skilled in developing custom web applications Software based on Facebook,Twitter, Google as well as custom enterprise application development and related Software Development services.</p>
                        </div>
                        <div class="sec-content-btn mt-30">
                            <a href="#" title="Explore More" class="sec-btn"><span>Explore More</span></a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6 order-1 order-lg-2">
                <div class="about-content-box">
                    <div class="sec-title">
                        <span class="sub-title">KNOW ABOUT US</span>
                        <h2 class="h2-title">Empowering Your Digital Future, Together</h2>
                    </div>
                    <div class="about-image-box">
                        <div class="back-img" style="background-image: url('<?php echo home_url(); ?>/wp-content/uploads/2025/02/empowering-your-digital-future-together.jpg');"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- About End -->

<!-- About Counter Start -->
<section class="about-counter-sec">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="about-counter-row">
                    <div class="about-counter-box-wp">
                        <div class="about-counter-box white-text">
                            <h2 class="h2-title"><span class="counting" data-count="987">987</span>+</h2>
                            <div class="p2">
                                <p>Projects Done</p>
                            </div>
                        </div>
                    </div>
                    <div class="about-counter-box-wp">
                        <div class="about-counter-box white-text">
                            <h2 class="h2-title"><span class="counting" data-count="874">874</span>+</h2>
                            <div class="p2">
                                <p>Satisfied Clients</p>
                            </div>
                        </div>
                    </div>
                    <div class="about-counter-box-wp">
                        <div class="about-counter-box white-text">
                            <h2 class="h2-title"><span class="counting" data-count="658">658</span>+</h2>
                            <div class="p2">
                                <p>Cup of Coffee</p>
                            </div>
                        </div>
                    </div>
                    <div class="about-counter-box-wp">
                        <div class="about-counter-box white-text">
                            <h2 class="h2-title"><span class="counting" data-count="598">598</span>+</h2>
                            <div class="p2">
                                <p>Wining Award</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- About Counter End -->

<!-- What We Do Start -->
<section class="what-we-do-sec sec-bg py-110">
    <div class="gradients-bg-shape">
        <img src="<?php echo get_template_directory_uri(); ?>/assets/images/bg-blur-shape-3.svg" alt="Bg Blur Shape 3" class="bg-gradient-3" width="160" height="138">
        <div class="wave-shape">
            <img src="<?php echo get_template_directory_uri(); ?>/assets/images/wave-shape.svg" alt="Wave Shape" width="764" height="399">
        </div>
    </div>
    <div class="container">
        <div class="row">
            <div class="col-lg-4">
                <div class="what-we-do-content">
                    <div class="sec-title mb-30">
                        <span class="sub-title">WHAT WE DO</span>
                        <h2 class="h2-title">Crafting Digital Experiences with Growth</h2>
                    </div>
                    <div class="p3">
                        <p>We build beautiful responsive website using the latest cutting-edge technologies to help businesses of all sizes scale and rise above the competition.</p>
                    </div>
                    <div class="sec-content-btn mt-30">
                        <a href="#" title="View All Services" class="sec-btn"><span>View All Services</span></a>
                    </div>
                </div>
            </div>
            <div class="col-lg-8">
                <div class="services-box-wp">
                    <div class="services-box">
                        <div class="services-box-icon">
                            <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/web-app-development.svg" width="30" height="30" alt="Web App Development">
                        </div>
                        <h4 class="h4-title">Web App Development</h4>
                        <div class="p4">
                            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit nam ullamcorper erat neque.</p>
                        </div>
                    </div>
                    <div class="services-box">
                        <div class="services-box-icon">
                            <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/mobile-app-development.svg" width="27" height="30" alt="Mobile App Development">
                        </div>
                        <h4 class="h4-title">Mobile App Development</h4>
                        <div class="p4">
                            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit nam ullamcorper erat neque.</p>
                        </div>
                    </div>
                    <div class="services-box">
                        <div class="services-box-icon">
                            <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/enterprise-app-development.svg" width="30" height="30" alt="Enterprise App Development">
                        </div>
                        <h4 class="h4-title">Enterprise App Development</h4>
                        <div class="p4">
                            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit nam ullamcorper erat neque.</p>
                        </div>
                    </div>
                    <div class="services-box">
                        <div class="services-box-icon">
                            <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/cloud-app-development.svg" width="33" height="30" alt="Cloud App Development">
                        </div>
                        <h4 class="h4-title">Cloud App Development</h4>
                        <div class="p4">
                            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit nam ullamcorper erat neque.</p>
                        </div>
                    </div>
                    <div class="services-box">
                        <div class="services-box-icon">
                            <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/devops.svg" width="28" height="30" alt="DevOps">
                        </div>
                        <h4 class="h4-title">DevOps</h4>
                        <div class="p4">
                            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit nam ullamcorper erat neque.</p>
                        </div>
                    </div>
                    <div class="services-box">
                        <div class="services-box-icon">
                            <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/ecommerce.svg" width="32" height="30" alt="eCommerce">
                        </div>
                        <h4 class="h4-title">eCommerce</h4>
                        <div class="p4">
                            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit nam ullamcorper erat neque.</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- What We Do End -->

<!-- Why Choose Us Start -->
<section class="why-choose-us-sec pt-120 pb-110">
    <div class="container">
        <div class="row align-items-center">
            <div class="col-lg-6">
                <div class="why-choose-us-image-box">
                    <div class="why-choose-us-image">
                        <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/why-choose-us-image.png" width="623" height="618" alt="Why Choose Us">
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="common-content common-content-right">
                    <div class="sec-title mb-30">
                        <span class="sub-title">WHY CHOOSE US</span>
                        <h2 class="h2-title">Your Vision, Our Creative Expertise</h2>
                    </div>
                    <div class="why-choose-us-tabbing">
                        <div class="why-choose-us-tab-buttons">
                            <ul>
                                <li class="why-choose-us-tab-active">Innovation</li>
                                <li>Expertise</li>
                                <li>Excellence</li>
                            </ul>
                        </div>
                        <div class="why-choose-us-tab-panel">
                            <div class="why-choose-us-tab-panel-content common-list-style">
                                <div class="p3">
                                    <p>Praesent ac posuere augue. Donec gravida ante purus. Donec consectetur elementum pretium. Mauris luctus rutrum dui ut mattis. Fusce non justo vel risus semper fringilla ac eget quam.</p>
                                </div>
                                <ul>
                                    <li>Tailored to Your Brand</li>
                                    <li>Fresh, Cutting-Edge Concepts</li>
                                    <li>Strategic Creativity</li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Why Choose Us End -->

<!-- Trusted By Start -->
<section class="trusted-by-sec">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="trusted-by-title-wp text-center">
                    <div class="sec-title">
                        <h4 class="h4-title">Trusted by Leading Clients</h4>
                    </div>
                </div>
            </div>
        </div>
        <div class="trusted-by-slider-wp">
            <div class="swiper trusted-by-slider">
                <div class="swiper-wrapper">
                    <div class="swiper-slide">
                        <div class="trusted-by-slider-image-box">
                            <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/client-logo-1.png" width="150" height="79" alt="Client Logo 1">
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="trusted-by-slider-image-box">
                            <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/client-logo-2.png" width="150" height="73" alt="Client Logo 2">
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="trusted-by-slider-image-box">
                            <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/client-logo-3.png" width="115" height="73" alt="Client Logo 3">
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="trusted-by-slider-image-box">
                            <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/client-logo-4.png" width="114" height="73" alt="Client Logo 4">
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="trusted-by-slider-image-box">
                            <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/client-logo-5.png" width="123" height="73" alt="Client Logo 5">
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="trusted-by-slider-image-box">
                            <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/client-logo-6.png" width="130" height="73" alt="Client Logo 6">
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="trusted-by-slider-image-box">
                            <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/client-logo-2.png" width="150" height="73" alt="Client Logo 2">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Trusted By End -->

<!-- How It Works Start -->
<section class="how-it-works-sec py-110">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="sec-title text-center">
                    <span class="sub-title">HOW IT WORKS</span>
                    <h2 class="h2-title">Building Success Through Strategy</h2>
                </div>
            </div>
        </div>
        <div class="how-it-works-box-row">
            <div class="how-it-works-box">
                <div class="how-it-works-box-top">
                    <div class="how-it-works-box-icon">
                        <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/discovery-strategy.svg" width="50" height="52" alt="Discovery & Strategy">
                        <span class="how-it-works-box-number"></span>
                    </div>
                </div>
                <div class="how-it-works-box-text">
                    <h4 class="h4-title">Discovery & Strategy</h4>
                    <div class="p4">
                        <p>Praesent condimentum leo erat, ut ultricies felis accumsan a nam id justo finibus porttitor.</p>
                    </div>
                </div>
            </div>
            <div class="how-it-works-box">
                <div class="how-it-works-box-top">
                    <div class="how-it-works-box-icon">
                        <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/design-prototyping.svg" width="50" height="53" alt="Design & Prototyping">
                        <span class="how-it-works-box-number"></span>
                    </div>
                </div>
                <div class="how-it-works-box-text">
                    <h4 class="h4-title">Design & Prototyping</h4>
                    <div class="p4">
                        <p>Praesent condimentum leo erat, ut ultricies felis accumsan a nam id justo finibus porttitor.</p>
                    </div>
                </div>
            </div>
            <div class="how-it-works-box">
                <div class="how-it-works-box-top">
                    <div class="how-it-works-box-icon">
                        <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/development-testing.svg" width="50" height="36" alt="Development & Testing">
                        <span class="how-it-works-box-number"></span>
                    </div>
                </div>
                <div class="how-it-works-box-text">
                    <h4 class="h4-title">Development & Testing</h4>
                    <div class="p4">
                        <p>Praesent condimentum leo erat, ut ultricies felis accumsan a nam id justo finibus porttitor.</p>
                    </div>
                </div>
            </div>
            <div class="how-it-works-box">
                <div class="how-it-works-box-top">
                    <div class="how-it-works-box-icon">
                        <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/launch-support.svg" width="50" height="50" alt="Launch & Support">
                        <span class="how-it-works-box-number"></span>
                    </div>
                </div>
                <div class="how-it-works-box-text">
                    <h4 class="h4-title">Launch & Support</h4>
                    <div class="p4">
                        <p>Praesent condimentum leo erat, ut ultricies felis accumsan a nam id justo finibus porttitor.</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- How It Works End -->

<!-- Our Portfolio Start -->
<section class="our-portfolio-sec">
    <div class="container">
        <div class="row">
            <div class="col-lg-6">
                <div class="sec-title">
                    <span class="sub-title">OUR PORTFOLIO</span>
                    <h2 class="h2-title">Innovative Solutions, Delivered</h2>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="our-portfolio-button for-des">
                    <div class="swiper-btn-wp">
                        <div class="swiper-btn swiper-prev-btn"><i class="fa-solid fa-angle-left"></i></div>
                        <div class="swiper-btn swiper-next-btn"><i class="fa-solid fa-angle-right"></i></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="container-fluid">
        <div class="our-portfolio-slider-wp">
            <div class="swiper our-portfolio-slider">
                <div class="swiper-wrapper">
                    <div class="swiper-slide">
                        <div class="our-portfolio-slider-box">
                            <div class="our-portfolio-slider-image back-img" style="background-image: url('<?php echo home_url(); ?>/wp-content/uploads/2025/02/portfolio-image-1.jpg');">
                            </div>
                            <div class="our-portfolio-slider-text">
                                <span>Web Development</span>
                                <h4 class="h4-title">Showcasing Our Proven Solutions</h4>
                            </div>
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="our-portfolio-slider-box">
                            <div class="our-portfolio-slider-image back-img" style="background-image: url('<?php echo home_url(); ?>/wp-content/uploads/2025/02/portfolio-image-2.jpg');">
                            </div>
                            <div class="our-portfolio-slider-text">
                                <span>Web Development</span>
                                <h4 class="h4-title">Showcasing Our Proven Solutions</h4>
                            </div>
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="our-portfolio-slider-box">
                            <div class="our-portfolio-slider-image back-img" style="background-image: url('<?php echo home_url(); ?>/wp-content/uploads/2025/02/portfolio-image-3.jpg');">
                            </div>
                            <div class="our-portfolio-slider-text">
                                <span>Web Development</span>
                                <h4 class="h4-title">Showcasing Our Proven Solutions</h4>
                            </div>
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="our-portfolio-slider-box">
                            <div class="our-portfolio-slider-image back-img" style="background-image: url('<?php echo home_url(); ?>/wp-content/uploads/2025/02/portfolio-image-2.jpg');">
                            </div>
                            <div class="our-portfolio-slider-text">
                                <span>Web Development</span>
                                <h4 class="h4-title">Showcasing Our Proven Solutions</h4>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="our-portfolio-button for-mob">
                    <div class="swiper-btn-wp">
                        <div class="swiper-btn swiper-prev-btn"><i class="fa-solid fa-angle-left"></i></div>
                        <div class="swiper-btn swiper-next-btn"><i class="fa-solid fa-angle-right"></i></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Our Portfolio End -->

<!-- Industries We Serve Start -->
<section class="industries-we-serve-sec py-120">
    <div class="container">
        <div class="row align-items-center">
            <div class="col-lg-6 order-2 order-lg-1">
                <div class="industries-we-serve-box-wp">
                    <div class="industries-we-serve-box">
                        <div class="industries-we-serve-box-icon">
                            <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/industries-we-serve-icon-1.svg" width="31" height="30" alt="Industries We Serve Icon 1">
                        </div>
                        <h5 class="h5-title">eCommerce</h5>
                    </div>
                    <div class="industries-we-serve-box">
                        <div class="industries-we-serve-box-icon">
                            <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/industries-we-serve-icon-2.svg" width="30" height="30" alt="Industries We Serve Icon 2">
                        </div>
                        <h5 class="h5-title">Fintech</h5>
                    </div>
                    <div class="industries-we-serve-box">
                        <div class="industries-we-serve-box-icon">
                            <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/industries-we-serve-icon-3.svg" width="31" height="30" alt="Industries We Serve Icon 3">
                        </div>
                        <h5 class="h5-title">Travel</h5>
                    </div>
                    <div class="industries-we-serve-box">
                        <div class="industries-we-serve-box-icon">
                            <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/industries-we-serve-icon-4.svg" width="30" height="30" alt="Industries We Serve Icon 4">
                        </div>
                        <h5 class="h5-title">Real Estate</h5>
                    </div>
                    <div class="industries-we-serve-box">
                        <div class="industries-we-serve-box-icon">
                            <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/industries-we-serve-icon-5.svg" width="30" height="30" alt="Industries We Serve Icon 5">
                        </div>
                        <h5 class="h5-title">Healthcare</h5>
                    </div>
                    <div class="industries-we-serve-box">
                        <div class="industries-we-serve-box-icon">
                            <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/industries-we-serve-icon-6.svg" width="40" height="30" alt="Industries We Serve Icon 6">
                        </div>
                        <h5 class="h5-title">Education</h5>
                    </div>
                    <div class="industries-we-serve-box">
                        <div class="industries-we-serve-box-icon">
                            <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/industries-we-serve-icon-7.svg" width="30" height="30" alt="Industries We Serve Icon 7">
                        </div>
                        <h5 class="h5-title">Sports</h5>
                    </div>
                    <div class="industries-we-serve-box">
                        <div class="industries-we-serve-box-icon">
                            <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/industries-we-serve-icon-8.svg" width="30" height="30" alt="Industries We Serve Icon 8">
                        </div>
                        <h5 class="h5-title">Media</h5>
                    </div>
                    <div class="industries-we-serve-box">
                        <div class="industries-we-serve-box-icon">
                            <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/industries-we-serve-icon-9.svg" width="30" height="30" alt="Industries We Serve Icon 9">
                        </div>
                        <h5 class="h5-title">Fitness</h5>
                    </div>
                    <div class="industries-we-serve-box">
                        <div class="industries-we-serve-box-icon">
                            <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/industries-we-serve-icon-10.svg" width="30" height="30" alt="Industries We Serve Icon 10">
                        </div>
                        <h5 class="h5-title">Life Style</h5>
                    </div>
                    <div class="industries-we-serve-box">
                        <div class="industries-we-serve-box-icon">
                            <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/industries-we-serve-icon-11.svg" width="35" height="30" alt="Industries We Serve Icon 11">
                        </div>
                        <h5 class="h5-title">Mgazine</h5>
                    </div>
                    <div class="industries-we-serve-box">
                        <div class="industries-we-serve-box-icon">
                            <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/industries-we-serve-icon-12.svg" width="50" height="30" alt="Industries We Serve Icon 12">
                        </div>
                        <h5 class="h5-title">Transport</h5>
                    </div>
                </div>
            </div>
            <div class="col-lg-6 order-1 order-lg-2">
                <div class="industries-we-serve-content common-content common-content-right">
                    <div class="sec-title mb-30">
                        <span class="sub-title">INDUSTRIES WE SERVE</span>
                        <h2 class="h2-title">Building Success Through Strategy</h2>
                    </div>
                    <div class="p3">
                        <p>Duis malesuada sed elit non rhoncus. Suspendisse in lorem bibendum, gravida odio a, fermentum arcu. Phasellus ut dolor augue. In hac habitasse platea dictumst.</p>
                        <p>Donec auctor lacus purus, vitae commodo urna venenatis non. Etiam sed risus et erat molestie elementum lobortis id purus.</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Industries We Serve End -->

<!-- Newsletter Start -->
<section class="newsletter-sec">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="newsletter-box">
                    <div class="gradients-bg-shape">
                        <img src="<?php echo get_template_directory_uri(); ?>/assets/images/bg-blur-shape-4.svg" alt="Bg Blur Shape 4" class="bg-gradient-4" width="259" height="172">
                    </div>
                    <div class="newsletter-content-text">
                        <div class="sec-title mb-30">
                            <span class="sub-title">SUBSCRIBE NOW</span>
                            <div class="white-text">
                                <h2 class="h2-title">Your Gateway to Digital Trends</h2>
                            </div>
                        </div>
                        <div class="p3 white-text">
                            <p>Get the latest on web development, app innovation, and IT trends straight to your inbox. Join for expert insights, tips, and exclusive updates to power your business!</p>
                        </div>
                        <div class="newsletter-form">
                            <form action="">
                                <div class="input-field-wp">
                                    <input type="email" name="EMAIL" placeholder="Enter Your Email..." required="" class="input-field">
                                    <button type="submit" class="sec-btn"><span>Submit Now</span></button>
                                </div>
                            </form>
                        </div>
                    </div>
                    <div class="newsletter-image-box">
                        <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/newsletter-image.png" width="431" height="489" alt="Newsletter Image">
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Newsletter End -->

<!-- Our Technologies Start -->
<section class="our-technologies-sec sec-bg pt-110 pb-120">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="sec-title text-center mb-30">
                    <span class="sub-title">TECHNOLOGY WE HAVE</span>
                    <h2 class="h2-title">Building the Future Together</h2>
                </div>
            </div>
        </div>
        <div class="our-technologies-tabbing-row">
            <div class="row">
                <div class="col-lg-12">
                    <div class="our-technologies-tabbing">
                        <div class="our-tech-tab-buttons">
                            <ul>
                                <li class="tech-tab-active">Frontend</li>
                                <li>Backend</li>
                                <li>Framework</li>
                                <li>Mobile</li>
                                <li>Cloud</li>
                                <li>Database</li>
                                <li>Design</li>
                            </ul>
                        </div>
                        <div class="our-tech-tab-panel">
                            <div class="our-tech-tab-panel-logos">
                                <div class="our-tech-logo">
                                    <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/technology-html-icon.svg" alt="Technology HTML" width="110" height="40">
                                </div>
                                <div class="our-tech-logo">
                                    <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/technology-css-icon.svg" alt="Technology Css" width="87" height="40">
                                </div>
                                <div class="our-tech-logo">
                                    <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/technology-reactjs-icon.svg" alt="Technology React Js" width="131" height="40">
                                </div>
                                <div class="our-tech-logo">
                                    <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/technology-laravel-icon.svg" alt="Technology Laravel" width="130" height="24">
                                </div>
                                <div class="our-tech-logo">
                                    <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/technology-cakephp-icon.svg" alt="Technology CakePhp" width="130" height="26">
                                </div>
                                <div class="our-tech-logo">
                                    <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/technology-wordpress-icon.svg" alt="Technology WordPress" width="130" height="30">
                                </div>
                                <div class="our-tech-logo">
                                    <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/technology-bootstrap-icon.svg" alt="Technology Bootstrap" width="130" height="22">
                                </div>
                                <div class="our-tech-logo">
                                    <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/technology-codeigniter-icon.svg" alt="Technology Codeigniter" width="130" height="21">
                                </div>
                                <div class="our-tech-logo">
                                    <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/technology-angular-icon.svg" alt="Technology Angular" width="130" height="35">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Our Technologies End -->

<!-- Testimonial Start -->
<section class="testimonial-sec py-110">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="sec-title text-center">
                    <span class="sub-title">TESTIMONIAL</span>
                    <h2 class="h2-title">Building Success Through Strategy</h2>
                </div>
            </div>
        </div>
        <div class="testimonial-slider-wp">
            <div class="swiper testimonial-slider">
                <div class="swiper-wrapper">
                    <div class="swiper-slide">
                        <div class="testimonial-slider-box">
                            <div class="testimonial-slider-box-top">
                                <div class="testimonial-slider-box-quote-wp">
                                    <div class="testimonial-slider-box-quote-icon"></div>
                                </div>
                                <div class="review-star">
                                    <div class="star-rating-wp">
                                        <div class="star-rating">
                                            <span class="star-rating__fill" style="width: 80%"></span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="testimonial-slider-box-content-text p3" data-simplebar>
                                <p>Working with this consulting firm was a game-changer for our business. Their strategic insights and practical solutions helped us streamline operations and boost profitability. The team's dedication and expertise were evident in every step. Highly recommend their services.</p>
                            </div>
                            <div class="testimonial-slider-box-bottom">
                                <div class="testimonial-slider-box-name-info">
                                    <h4 class="h4-title">Jessica Martinez</h4>
                                    <p>CEO of Innovate Solutions</p>
                                </div>
                                <div class="testimonial-slider-box-logo">
                                    <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/testimonial-logo-1.png" width="134" height="52" alt="Testimonial Logo 1">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="testimonial-slider-box">
                            <div class="testimonial-slider-box-top">
                                <div class="testimonial-slider-box-quote-wp">
                                    <div class="testimonial-slider-box-quote-icon"></div>
                                </div>
                                <div class="review-star">
                                    <div class="star-rating-wp">
                                        <div class="star-rating">
                                            <span class="star-rating__fill" style="width: 80%"></span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="testimonial-slider-box-content-text p3" data-simplebar>
                                <p>Working with this consulting firm was a game-changer for our business. Their strategic insights and practical solutions helped us streamline operations and boost profitability. The team's dedication and expertise were evident in every step. Highly recommend their services.</p>
                            </div>
                            <div class="testimonial-slider-box-bottom">
                                <div class="testimonial-slider-box-name-info">
                                    <h4 class="h4-title">Jessica Martinez</h4>
                                    <p>CEO of Innovate Solutions</p>
                                </div>
                                <div class="testimonial-slider-box-logo">
                                    <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/client-logo-2.png" width="129" height="50" alt="Testimonial Logo 2">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="testimonial-slider-box">
                            <div class="testimonial-slider-box-top">
                                <div class="testimonial-slider-box-quote-wp">
                                    <div class="testimonial-slider-box-quote-icon"></div>
                                </div>
                                <div class="review-star">
                                    <div class="star-rating-wp">
                                        <div class="star-rating">
                                            <span class="star-rating__fill" style="width: 80%"></span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="testimonial-slider-box-content-text p3" data-simplebar>
                                <p>Working with this consulting firm was a game-changer for our business. Their strategic insights and practical solutions helped us streamline</p>
                            </div>
                            <div class="testimonial-slider-box-bottom">
                                <div class="testimonial-slider-box-name-info">
                                    <h4 class="h4-title">Jessica Martinez</h4>
                                    <p>CEO of Innovate Solutions</p>
                                </div>
                                <div class="testimonial-slider-box-logo">
                                    <img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/testimonial-logo-1.png" width="134" height="52" alt="Testimonial Logo 1">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="swiper-btn-wp">
                <div class="swiper-btn swiper-prev-btn"><i class="fa-solid fa-angle-left"></i></div>
                <div class="swiper-btn swiper-next-btn"><i class="fa-solid fa-angle-right"></i></div>
            </div>
        </div>
        <div class="testimonial-btn-wp">
            <a href="#" title="View more reviews" class="sec-btn secondary-btn"><span>View more reviews</span></a>
        </div>
    </div>
</section>
<!-- Testimonial End -->

<!-- Marquee Start -->
<section class="marquee-sec">
    <div class="marquee-sliders">
        <div class="swiper marquee-slider marquee-slider-1">
            <div class="swiper-wrapper">
                <div class="swiper-slide">
                    <div class="marquee-box-content">
                        <h2>Marketing.</h2>
                    </div>
                </div>
                <div class="swiper-slide">
                    <div class="marquee-box-content">
                        <h2>Development.</h2>
                    </div>
                </div>
                <div class="swiper-slide">
                    <div class="marquee-box-content">
                        <h2>Innovation.</h2>
                    </div>
                </div>
                <div class="swiper-slide">
                    <div class="marquee-box-content">
                        <h2>Optimization.</h2>
                    </div>
                </div>
                <div class="swiper-slide">
                    <div class="marquee-box-content">
                        <h2>Growth.</h2>
                    </div>
                </div>
            </div>
        </div>
        <div class="swiper marquee-slider marquee-slider-2">
            <div class="swiper-wrapper">
                <div class="swiper-slide">
                    <div class="marquee-box-content">
                        <h2>Efficiency.</h2>
                    </div>
                </div>
                <div class="swiper-slide">
                    <div class="marquee-box-content">
                        <h2>Solutions.</h2>
                    </div>
                </div>
                <div class="swiper-slide">
                    <div class="marquee-box-content">
                        <h2>Analysis.</h2>
                    </div>
                </div>
                <div class="swiper-slide">
                    <div class="marquee-box-content">
                        <h2>Transformation.</h2>
                    </div>
                </div>
                <div class="swiper-slide">
                    <div class="marquee-box-content">
                        <h2>Leadership.</h2>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Marquee End -->

<!-- Blog Start -->
<section class="blog-sec py-100">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="sec-title text-center">
                    <span class="sub-title">LATEST BLOG</span>
                    <h2 class="h2-title">Insights & Trends in Tech</h2>
                </div>
            </div>
        </div>
        <div class="blog-row-wp">
            <div class="row justify-content-center gy-4">
                <div class="col-lg-4 col-md-6">
                    <div class="blog-box">
                        <div class="blog-image-box">
                            <div class="back-img" style="background-image: url('<?php echo home_url(); ?>/wp-content/uploads/2025/02/blog-image-1.jpg');"></div>
                            <span class="blog-date"><span class="blog-date-icon mask-img"></span> 27 Aug,2025</span>
                        </div>
                        <div class="blog-box-text">
                            <div class="blog-post-info">
                                <ul>
                                    <li><img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/admin-icon.svg" width="13" height="15" alt="Admin Icon"> <a href="#" title="By Admin">By Admin</a></li>
                                    <li><img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/comments-icon.svg" width="16" height="14" alt="Comments Icon">
                                        <p>Comments <span>(03)</span></p>
                                    </li>
                                </ul>
                            </div>
                            <h4 class="h4-title">
                                <a href="blog-detail.html" title="Top Web Development Trends to Watch in 2025">Top Web Development Trends to Watch in 2025</a>
                            </h4>
                            <p>Vivamus dictum mattis eros, quis egestas dolor fermentum ut. Pellentesque lobortis nulla lectus, ut sollicitudin tortor cursus eget.</p>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-6">
                    <div class="blog-box">
                        <div class="blog-image-box">
                            <div class="back-img" style="background-image: url('<?php echo home_url(); ?>/wp-content/uploads/2025/02/blog-image-2.jpg');"></div>
                            <span class="blog-date"><span class="blog-date-icon mask-img"></span> 27 Aug,2025</span>
                        </div>
                        <div class="blog-box-text">
                            <div class="blog-post-info">
                                <ul>
                                    <li><img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/admin-icon.svg" width="13" height="15" alt="Admin Icon"> <a href="#" title="By Admin">By Admin</a></li>
                                    <li><img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/comments-icon.svg" width="16" height="14" alt="Comments Icon">
                                        <p>Comments <span>(03)</span></p>
                                    </li>
                                </ul>
                            </div>
                            <h4 class="h4-title">
                                <a href="blog-detail.html" title="Native vs. Hybrid App Development: What’s Best?">Native vs. Hybrid App Development: What’s Best?</a>
                            </h4>
                            <p>Vivamus dictum mattis eros, quis egestas dolor fermentum ut. Pellentesque lobortis nulla lectus, ut sollicitudin tortor cursus eget.</p>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-6">
                    <div class="blog-box">
                        <div class="blog-image-box">
                            <div class="back-img" style="background-image: url('<?php echo home_url(); ?>/wp-content/uploads/2025/02/blog-image-3.jpg');"></div>
                            <span class="blog-date"><span class="blog-date-icon mask-img"></span> 27 Aug,2025</span>
                        </div>
                        <div class="blog-box-text">
                            <div class="blog-post-info">
                                <ul>
                                    <li><img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/admin-icon.svg" width="13" height="15" alt="Admin Icon"> <a href="#" title="By Admin">By Admin</a></li>
                                    <li><img src="<?php echo home_url(); ?>/wp-content/uploads/2025/02/comments-icon.svg" width="16" height="14" alt="Comments Icon">
                                        <p>Comments <span>(03)</span></p>
                                    </li>
                                </ul>
                            </div>
                            <h4 class="h4-title">
                                <a href="blog-detail.html" title="How IT Services Fuel Business Growth">How IT Services Fuel Business Growth</a>
                            </h4>
                            <p>Vivamus dictum mattis eros, quis egestas dolor fermentum ut. Pellentesque lobortis nulla lectus, ut sollicitudin tortor cursus eget.</p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="blog-btn-wp">
                <a href="#" title="View more Blog" class="sec-btn secondary-btn"><span>View more Blog</span></a>
            </div>
        </div>
    </div>
</section>
<!-- Blog End -->